<?php

class formWidgetSitetourOptions extends cmsForm{

    public function init(){

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldCheckbox('options:start', array(
                        'title' => LANG_WD_SITETOUR_AUTOSTART,
                        'default' => 1,
                    )),
                    new fieldText('options:welcome', array(
                        'title' => LANG_WD_SITETOUR_WELCOME,
                        'default' => '<h3 style="color:#fff;">Мой первый тур</h3><p>Сейчас я расскажу о функциях моего сайта</p>',
                    )),
                    new fieldNumber('options:width', array(
                        'title' => LANG_WD_SITETOUR_WIDTH,
                        'units' => 'px',
                        'default' => 400,
                    )),
                    new fieldNumber('options:radius', array(
                        'title' => LANG_WD_SITETOUR_RADIUS,
                        'units' => 'px',
                        'default' => 0,
                    )),
                    new fieldList('options:orientation', array(
                        'title' => LANG_WD_SITETOUR_ORIENTATION,
                        'default' => 'TR',
                        'items' => array(
                            'left'=> LANG_WD_SITETOUR_ORIENTATION_LEFT,
                            'right' => LANG_WD_SITETOUR_ORIENTATION_RIGHT,
                        )
                    )),
                    new fieldString('options:btnwidget', array(
                        'title' => LANG_WD_SITETOUR_BTNWIDGET,
                        'default' => 'Начать тур',
                    )),
                    new fieldString('options:btnnext', array(
                        'title' => LANG_WD_SITETOUR_BTNNEXT,
                        'default' => 'Вперед',
                    )),
                    new fieldString('options:btnprev', array(
                        'title' => LANG_WD_SITETOUR_BTNPREV,
                        'default' => 'Назад',
                    )),
                    new fieldString('options:btnstart', array(
                        'title' => LANG_WD_SITETOUR_BTNSTART,
                        'default' => 'Старт',
                    )),
                    new fieldString('options:btnend', array(
                        'title' => LANG_WD_SITETOUR_BTNEND,
                        'default' => 'Стоп',
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_WD_SITETOUR_COLORS,
                'childs' => array(

                    new fieldString('options:blockbg', array(
                        'title' => LANG_WD_SITETOUR_COLORS_BLOCKBG,
                        'default' => '#333333',
                        'hint' => LANG_WD_SITETOUR_COLORS_HINT,
                    )),
                    new fieldString('options:blocktext', array(
                        'title' => LANG_WD_SITETOUR_COLORS_BLOCKTEXT,
                        'default' => '#ffffff',
                        'hint' => LANG_WD_SITETOUR_COLORS_HINT,
                    )),
                    new fieldString('options:tooltipbg', array(
                        'title' => LANG_WD_SITETOUR_COLORS_TOOLTIPBG,
                        'default' => '#333333',
                        'hint' => LANG_WD_SITETOUR_COLORS_HINT,
                    )),
                    new fieldString('options:tooltiptext', array(
                        'title' => LANG_WD_SITETOUR_COLORS_TOOLTIPTEXT,
                        'default' => '#ffffff',
                        'hint' => LANG_WD_SITETOUR_COLORS_HINT,
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_WD_SITETOUR_ELEMENTS,
                'childs' => array(

                    new fieldText('options:elements', array(
                        'title' => LANG_WD_SITETOUR_ELEMENTS_NEW,
                        'hint' => LANG_WD_SITETOUR_ELEMENTS_HINT,
                    )),

                )
            )
        );
    }
}